function [Fsv] = ForcePontoonDifference(Sw,w,t,Tic,b_deg,x,y,e)

b_rad = (b_deg/360)*2*pi;

g = 9.81;
k = w.^2/g;
dw = w(2)-w(1);
for i = 1:1:length(t) % time
    for j = 1:1:length(x) % position
        A = sqrt(2.*Sw.*dw);% Wave amplitude
        thetaX = (k.*x(j)).*cos(b_rad);
        thetaY = (k.*y(j)).*sin(b_rad);
        F_dummy = A.*sqrt(Tic).*cos(w.*t(i)-thetaX-thetaY+e);
        %F_freq(j,i) = sum(F_sum_angles);
        Fsv(j,i)   = 2.*sum(F_dummy)^2;
    end
end
end