function [ NewFexc,Phase] = InterpolatedLinearExcitation( w,Fexc)
% NewFexc = [DOF,Frequency dependent force] => dimension is n_DOF*n_w,
% where n_DOF and n_w is the number of degree of freedom and
% degree of freedom respectively.

k = 1;
[m,n,o] = size(Fexc);
for i = 1:1:o
    k = 1;
    for j = 1:1:m
        %fprintf('j = %d k = %d',j,k);
    while w(k)>Fexc(j,1,i) && w(k)<Fexc(j+1,1,i) && k < length(w)
        
        NewFexc(i,k) = (Fexc(j+1,4,i)-Fexc(j,4,i))/(Fexc(j+1,1,i)-Fexc(j,1,i))*(w(k)-Fexc(j,1,i)) + Fexc(j,4,i);
        %RealVal(i,k) = (Fexc(j+1,2,i)-Fexc(j,2,i))/(Fexc(j+1,1,i)-Fexc(j,1,i))*(w(k)-Fexc(j,1,i)) + Fexc(j,2,i);
        %ImagVal(i,k) = (Fexc(j+1,3,i)-Fexc(j,3,i))/(Fexc(j+1,1,i)-Fexc(j,1,i))*(w(k)-Fexc(j,1,i)) + Fexc(j,3,i);
        Phase(i,k)   = (Fexc(j+1,5,i)-Fexc(j,5,i))/(Fexc(j+1,1,i)-Fexc(j,1,i))*(w(k)-Fexc(j,1,i)) + Fexc(j,5,i);%atand(ImagVal(i,k)/RealVal(i,k))
        k = k + 1;
    end
    if k >= length(w)
            NewFexc(i,k) = NewFexc(i,k-1);
            Phase(i,k)   = Phase(i,k-1);
    end
    end

end

end

