function [ Sw ] = Jonswap( w,wp,Hs,y,sa,sb )

Sw = zeros(1,length(w));
for i = 1:1:length(w)
    if w(i)<=wp
        s = sa;
    else
        s = sb;
    end
    Spm = (5/16)*Hs^2*wp^4*w(i)^-5*exp(-5/4*(w(i)/wp)^-4);
    Sw(1,i)  = (1-0.287*log(y))*Spm*y^(exp(-0.5*((w(i)-wp)/(s*wp))^2));
end

end

