function [x,y] = xyPositionPontoons()
% Parameters describing the bridge properties
R = 5000;%[m] Bridge radius
s_tot = 370+490+19*197;%[m] Total length of the bridge

% Calculation of x,y-coordinates for the center line of each pontoon
s_firstPontoon = s_tot/2 - (370+490);
s(1) = -s_firstPontoon;
k = 1;
while k<=19
    tetha(k) = s(k)/R;
    x(k)= -R*cos(tetha(k));
    y(k) = R*sin(tetha(k));
    if k == 8
        sdiff = 197+s(k);
        s(k+1) =  sdiff;
        k = k + 1;
    else
        s(k+1) = s(k) + 197;
        k = k + 1;
    end
end
end

